Subject: AW: texconfig rehash not working on Win98
From: "Quoss, Clemens" <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Fri, 12 Oct 2001 09:02:14 +0200

Hello Jerome,

thanks for answering my question.

Deleting the ls-R file did the job, but 
not as you would expect.

After deleting the file, 'texconfig rehash'
still has no effect.

But when you then run 'texconfig confall',
the first thing thats being done is to call
mktexlsr, and then it works.

So, now tell me anyone, whats the difference
between the mktexlsr calls in option 'confall'
and 'rehash'?

Because on WinNT 'texconfig rehash' rebuilds
the ls-R file regardless if its there or not 
or how old it is.

Bye

Clemens

-----Ursprüngliche Nachricht-----
Von: [email-masked]
[mailto:[email-masked]]
Gesendet am: Donnerstag, 11. Oktober 2001 19:05
An: Quoss, Clemens
Cc: [email-masked]'
Betreff: Re: texconfig rehash not working on Win98

"Quoss, Clemens" wrote:
> 
> Hello,
> 
> I installed tetex both on a WinNT and a Win98 machine running Cygwin.
> 
> I first installed the tetex texmf tree to /usr/share/texmf/, then
> re-installed
> the tetex package.
> 
> On both machines the only change I did was to change the TEXMFMAIN
> var in the texmf.cnf file to /usr/share/texmf/.
> 
> Then I did run 'texconfig confall', 'texconfig rehash' and 'texconfig
init'
> on both machines. No obvious errors. But when I try to create the
> small2e.dvi file, I get the message 'latex.fmt not found' on the Win98
> machine. On WinNT, everything works fine.
> 
> But latex.fmt resides on both machines in /usr/share/texmf/web2c/.
> 
> So - my question is: Is there any difference between Win98 and WinNT
> with regard to tetex?

Of course NOT !

I am working under Win98, and allis fine:
> 
> One hint might be that on Win98 the ls-R file is not being re-created
using
> 'texconfig rehash'. Whereas on WinNT mktexlsr prints two lines like
> 
> mktexlsr: file /usr/share/texmf/ls-R is being recreated...
> mktexlsr: Done.
> 
> on Win98 I only get the latter line and ls-R is still from Feb, 1st 2000.
> 

Try the following:
remove all `ls-R' files and rehash again.

Please let me know that is sufficient to fix your trouble.

Good TeXing,
Jerome BENOIT

> TIA
> 
> Bye
> 
> Clemens Quoss
> 
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

-- 
  *º¤., ¸¸,.¤º*¨¨¨*¤    Jerome BENOIT, Ph.D.    *º¤., ¸¸,.¤º*¨¨¨*¤
                  Institute of Molecular Biology
               Friedrich-Schiller University of Jena
             Winzerlaer Strasse 10, Jena 07745, Germany
  *º¤., ¸¸,.¤º*¨¨¨*¤    [email-masked]    *º¤., ¸¸,.¤º*¨¨¨*¤

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/